Skip to main content
Avalara Help Center

What are the browser requirements for using Avalara CertCapture?

Overview

You want to know the browser requirements for Avalara CertCapture.

Environment

Avalara CertCapture

Resolution

  • Avalara CertCapture is only supported for:

    • Google Chrome, version 45 and above

    • Mozilla Firefox, version 40 and above

    • Microsoft Internet Explorer, version 11 and above

    • Microsoft Edge